<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		function funcion(valor) {
			if (valor==0) {
				document.querySelector("#salida").innerHTML="";
			} else {
				document.querySelector("#salida").innerHTML+=valor;
			}
			
			// document.querySelector("#salida").innerHTML=document.querySelector("#salida").innerHTML+valor; es lo mismo que el +=
		}
	</script>
</head>
<body>
	<section>
	<div onclick="funcion(1)">1</div>
	<div onclick="funcion(2)">2</div>
	<div onclick="funcion(3)">3</div>
	</section>

	<section>
	<div id="salida"></div>
	<br class="limpia">
	</section>

	<section>
	<div onclick="funcion(0)">C</div>
	<br class="limpia">
	</section>
</body>
</html>



